.footer {
  background: var(--black);
}
.footer * {
  color: var(--gray);
}
.footer__container {
  padding-top: clamp(40px, 7vw, 80px);
  padding-bottom: clamp(40px, 7vw, 80px);
}
.footer__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 30px;
}
.footer__block {
  width: 100%;
  max-width: 320px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 20px;
}
.footer__logo {
  width: 100px;
}
.footer__text {
  font-size: 14px;
}
.footer__title {
  margin-bottom: clamp(15px, 4vw, 25px);
  display: block;
  font-size: clamp(12px, 2.5vw, 14px);
  font-weight: 700;
  line-height: 1;
  color: var(--white);
  text-transform: uppercase;
  letter-spacing: 0.1em;
}
.footer__nav {
  width: 100%;
}
.footer__nav--services {
  max-width: 280px;
}
.footer__nav--company {
  max-width: 120px;
}
.footer__menu {
  list-style: none;
}
.footer__menu .menu-item {
  margin-bottom: clamp(10px, 4vw, 15px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.footer__menu .menu-item a {
  font-size: 16px;
  line-height: 1.2;
}
.footer__contacts {
  width: 100%;
  max-width: 270px;
}
.footer__contact-item {
  margin-bottom: clamp(10px, 4vw, 15px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 10px;
}
.footer__contact-item svg {
  min-width: 16px;
  max-width: 16px;
}
.footer__contact-link {
  font-size: 16px;
  line-height: 1.2;
}
.footer__bottom {
  margin-top: clamp(20px, 5vw, 60px);
  padding-top: clamp(15px, 3vw, 30px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 10px;
  border-top: 1px solid var(--dark-gray);
}
.footer__copy {
  font-size: 14px;
}
.footer__policy {
  font-size: 16px;
  line-height: 1.2;
}

@media (max-width: 1023px) {
  .footer__content {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 40px 1fr;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
  }
  .footer__nav {
    -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
            order: 1;
  }
  .footer__contacts {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
  }
}
@media (max-width: 500px) {
  .footer__content {
    -ms-grid-columns: 1fr;
    grid-template-columns: repeat(1, 1fr);
    gap: 30px;
  }
  .footer__contacts {
    display: block;
  }
}
.popup {
  position: fixed;
  inset: 0;
  z-index: 20;
  padding: 20px;
  display: none;
  overflow-y: auto;
  -ms-scroll-chaining: none;
      overscroll-behavior: contain;
}
.popup.open {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.popup .overlay {
  position: fixed;
  inset: 0;
  z-index: 2;
  background: rgba(0, 0, 0, 0.7);
}
.popup-modal {
  position: relative;
  z-index: 3;
  margin: auto;
  padding: clamp(30px, 8vw, 40px) clamp(15px, 8vw, 40px);
  width: 100%;
  max-width: 500px;
  border-radius: 20px;
  background: var(--white);
}
.popup-modal__close {
  position: absolute;
  top: 5px;
  right: 5px;
  z-index: 3;
  padding: clamp(6px, 2vw, 9px);
  background: rgba(239, 127, 26, 0.2);
  border-radius: 100px;
  border: none;
}
.popup-modal__close svg {
  width: clamp(12px, 3.5vw, 14px);
}
.popup-modal__content {
  width: 100%;
}
.popup-modal__logo {
  margin: 0 auto clamp(20px, 5vw, 30px);
  width: 60%;
  max-width: 140px;
}
.popup-modal__text {
  margin-bottom: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 8px;
  text-align: center;
}
.popup-modal__text p {
  font-size: clamp(14px, 3.5vw, 16px);
  line-height: 1.2;
  color: var(--dark-gray);
}

@media (min-width: 1024px) {
  .footer a:hover {
    color: var(--orange);
  }
}